
QGIS Application - Bug report #20695

 Crash when adding new feature with editing feature turned on qgis 3.4.2

2018-12-03 05:01 AM - Sahit Tuntas Sadono

Status: Closed

Priority: High

Assignee:

Category: Data Source Manager

Affected QGIS version:3.4.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28515

Description

User Feedback

Crash when adding new feature with editing feature turned on

Report Details

Crash ID: e0f73e726c750b65e289fb1ab5d5574b149a1a67

Stack Trace

QMimeType::staticMetaObject :

QgsMapCanvas::setMapTool :

QgisApp::activateDeactivateLayerRelatedActions :

QMetaObject::activate :

QgisApp::activeLayerChanged :

QgisApp::onActiveLayerChanged :

QMetaObject::activate :

QgsLayerTreeView::currentLayerChanged :

QgsLayerTreeView::onCurrentChanged :

QMetaObject::activate :

QItemSelectionModel::setCurrentIndex :

QAbstractItemView::setCurrentIndex :

QgisApp::autoSelectAddedLayer :

QgisApp::identifyMapTool :

QMetaObject::activate :

QgsLayerTreeRegistryBridge::addedLayersToLayerTree :

QgsLayerTreeRegistryBridge::layersAdded :

QMetaObject::activate :

QgsProject::legendLayersAdded :

QgsProject::addMapLayers :

QgisApp::addVectorLayer :

QgisApp::qt_static_metacall :

QMetaObject::activate :

QgsDataSourceManagerDialog::addVectorLayer :

QgsDataSourceManagerDialog::addProviderDialog :

QMetaObject::activate :

QgsAbstractDataSourceWidget::addVectorLayer :

wildcards :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :
QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-12-03 04:14 PM - Alessandro Pasotti

- Status changed from Open to Feedback

Did you mean "Crash when adding new layer with editing feature turned on qgis 3.4.2" ?

#2 - 2018-12-04 01:50 AM - Sahit Tuntas Sadono

Alessandro Pasotti wrote:

Did you mean "Crash when adding new layer with editing feature turned on qgis 3.4.2" ?

Yes, when adding new layer.

#3 - 2018-12-05 05:22 PM - Giovanni Manghi

Sahit Tuntas Sadono wrote:

Alessandro Pasotti wrote:

Did you mean "Crash when adding new layer with editing feature turned on qgis 3.4.2" ?
Yes, when adding new layer.

please try on new/clean profile.

#4 - 2019-01-15 04:09 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
